13 #include <unordered_set>
14 #include <unordered_map>
44 virtual int maxClutterAircraftsPerArea()
const;
45 virtual void setMaxClutterAircraftsPerArea(
int n);
50 virtual int maxEntitiesCreatedPerTick()
const;
51 virtual void setEntitiesCreatedPerTick(
int n);
56 virtual double checkPeriod()
const;
57 virtual void setCheckPeriod(
int p);
62 virtual double requestPeriod()
const;
63 virtual void setRequestPeriod(
int p);
67 virtual double prePeriodRequestTime()
const;
68 virtual void setPrePeriodRequestTime(
const double t);
72 virtual DtString icaoTypeMappingFilePath()
const;
73 virtual void setIcaoTypeMappingFilePath(
DtString);
78 virtual bool militaryClutterDisabled()
const;
79 virtual void setMilitaryClutterDisabled(
bool);
83 virtual int icaoAddressToDebug()
const;
84 virtual bool isIcaoDebugAddressSpecified()
const;
85 virtual void setIcaoAddressToDebug(
const int address);
89 virtual std::unordered_map<std::string, DtEntityType> aircraftTypeMap()
const;
100 virtual void parseIcaoTypeMap();
std::unordered_map< std::string, DtEntityType > myAircraftTypeMap
Definition: aircraftClutterAreaControllerDescriptor.h:102
#define DT_DLL_vrfobjparam
This file is used to determine how to build.
Definition: vrfobjparamDefines.h:28
DtRwString myIcaoTypeMappingFilePath
Parameter Name: icao-type-mapping-file-path Parameter Description: The path to the mapping file lin...
Definition: aircraftClutterAreaControllerDescriptor.h:141
Description: Readable, Writable DtString Variable substitutions are done on this object when it is re...
Definition: rwString.h:20
A readable, writable type whose name is the name of a component and that has a list of component name...
Definition: componentDescriptor.h:49
Definition: readerWriterRegistry.h:39
DtComponentDescriptor & operator=(const DtComponentDescriptor &orig)
assignment
DtRwReal myRequestPeriod
Parameter Name: request-period Parameter Description: The period at which to request track data fro...
Definition: aircraftClutterAreaControllerDescriptor.h:127
DtRwReal myCheckPeriod
Parameter Name: check-period Parameter Description: The period at which aircrafts are re-checked if...
Definition: aircraftClutterAreaControllerDescriptor.h:122
DtRwInt myMaxClutterAircraftsPerArea
Parameter Name: max-clutter-aircrafts-per-area Parameter Description: The maximum number of clutter...
Definition: aircraftClutterAreaControllerDescriptor.h:111
DtRwInt myMaxEntitiesCreatedPerTick
Parameter Name: max-entities-created-per-tick Parameter Description: The maximum number of clutter ...
Definition: aircraftClutterAreaControllerDescriptor.h:116
Description: Readable, Writable int.
Definition: rwInt.h:25
DtRwInt myIcaoAddressToDebug
Parameter Name: icao-address-to-debug Parameter Description: The ICAO address of an aircraft for wh...
Definition: aircraftClutterAreaControllerDescriptor.h:158
virtual DtComponentDescriptor * clone(DtReaderWriterRegistry *parentRegistry=NULL) const
Description: Readable, Writable DtReal (double)
Definition: rwReal.h:27
virtual DtString type() const
Returns the type of component this descriptor describes. Used to create the descriptor on read from a...
Description: Readable, Writable bool.
Definition: rwBoolean.h:26
static DtComponentDescriptor * creator()
DtRwReal myPrePeriodRequestTime
Parameter Name: pre-period-request-time Parameter Description: The amount of time before the curren...
Definition: aircraftClutterAreaControllerDescriptor.h:136
/******************************************************************************* ** Copyright (c) 202...
Definition: aircraftClutterAreaControllerDescriptor.h:19
DtRwReal myBarometricAltitudeAdjustment
Parameter Name: barometric-altitude-adjustment Parameter Description: An altitude that is added to ...
Definition: aircraftClutterAreaControllerDescriptor.h:152
DtRwBoolean myMilitaryClutterDisabled
Parameter Name: military-clutter-disabled Parameter Description: A flag to enable/disable the abili...
Definition: aircraftClutterAreaControllerDescriptor.h:146